Bug 130291 - Support LABEL=* with ReiserFS
Summary: Support LABEL=* with ReiserFS
Status: CLOSED DEFERRED
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
low
medium
Target Milestone: ---
Assignee: Anaconda Maintenance Team
QA Contact: Mike McLean
URL:
Whiteboard:
Keywords: FutureFeature
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-08-18 20:50 UTC by Japheth Cleaver
Modified: 2007-11-30 22:10 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-03-01 19:21:43 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
A patch to enable reading and writing of labels on ReiserFS (2.27 KB, patch)
2004-08-19 00:43 UTC, Japheth Cleaver
no flags Details | Diff

Description Japheth Cleaver 2004-08-18 20:50:35 UTC
Description of problem:
Anaconda, although it allows the specification of a filesystem 
as "reiserfs" via kickstart, does not use reiserfstune to set the 
label of the filesystem once it's created. ReiserFS entries in fstab 
are created as /dev/hd*.

Version-Release number of selected component (if applicable):


How reproducible: Every time


Steps to Reproduce:
1. Use kickstart to assign a partition to type "reiserfs"
2. Examine /etc/fstab

  
Actual results:
Entries made as /dev/hda3 (or whatever)

Expected results:
Should use LABELs, similar to how ext3 entries are made.


Additional info:
Bug report coming out of bug #130288

To create a label on a reiserfs filesystem, use "reiserfstune -
l /blah /dev/hdxN"

Comment 1 Jeremy Katz 2004-08-18 21:05:13 UTC
reiserfs isn't really supported (for reasons like this among others).
 If you provide a patch, I'd be happy to add it (note that in addition
to the simple side of adding the labelDevice() method in fsset.py, you
also need to add support for reading the label off of a reiserfs
device in isys/isys.py)

Comment 2 Japheth Cleaver 2004-08-19 00:43:21 UTC
Created attachment 102863 [details]
A patch to enable reading and writing of labels on ReiserFS

Here's a patch that (with luck) will enable support. I'm not a python
programmer, so there might be something horribly wrong with this code. :( But
hopefully this shows one way of doing it.

Comment 3 Japheth Cleaver 2004-08-19 00:45:08 UTC
For example, that should be /usr/sbin/reiserfstune instead 
of /usr/bin/reiserfstune (I think) on line 45.

Comment 4 Jeremy Katz 2004-08-24 20:29:12 UTC
Using reiserfstune for reading the label is very error prone and
likely to break if reiserfstune at all adds labeling or anything of
the sort.  Hence why all of the code for other filesystems reads
directly from the disk.  reiserfs is going to need the same (and thus
research into how the label is stored in a reiserfs superblock,
finding the reiserfs superblock, etc)

Comment 5 Chris Lumens 2005-03-01 19:21:43 UTC
Deferring based on Jeremy's comments.


Note You need to log in before you can comment on or make changes to this bug.